T-API login (external auth handler)

POST /kernel/auth/extauthhandler/TAPILogin.json

Operation id: tapiLogin

Description

Authenticates or establishes context for T-API using domainId and userId.
Requires X-reflexis-auth-token-X and Content-Type: application/json.

Tags: KernelAuth

Parameters

Header parameters

NameTypeRequiredDescription
X-reflexis-auth-token-XstringYesT-API / integration authentication token issued for your integration.

Security

  • ReflexisAuthToken (apiKey)
    • T-API / integration authentication token issued for your integration.

Responses

200 — Success — response shape is defined by the Kernel implementation (typically JSON).

Content type: application/json

400 — Bad request (invalid body or parameters).

401 — Unauthorized (missing or invalid X-reflexis-auth-token-X or session).

500 — Server error.

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
domainIdstringYesTarget domain identifier.
userIdstringYesUser id to authenticate in the given domain.
{
  "type": "object",
  "example": {
    "domainId": "RFLXUS",
    "userId": "SYSADMIN"
  },
  "required": [
    "domainId",
    "userId"
  ],
  "properties": {
    "domainId": {
      "type": "string",
      "description": "Target domain identifier.",
      "example": "RFLXUS"
    },
    "userId": {
      "type": "string",
      "description": "User id to authenticate in the given domain.",
      "example": "SYSADMIN"
    }
  }
}

Response models

200 — Success — response shape is defined by the Kernel implementation (typically JSON).

Content type: application/json

Schema

JSON object (structure varies by endpoint).

{
  "type": "object",
  "description": "JSON object (structure varies by endpoint)."
}